package org.apache.ws.muws.v1_0.events;

import org.apache.ws.muws.Category;

import java.util.Calendar;

/**
 * @author Sal Campana
 */
public interface Situation
{

    void setPriority(short priority);
    void setSeverity(short severity);
    void setMessage(String message);
    void setSituationTime(Calendar cal);
    void setSuccessDisposition (Boolean bool);
    void setSubstitutionalMsg( SubstitutionalMsg msg);

    Category getSituationCategory();

    short getPriority();
    short getSeverity();
    String getMessage();
    Calendar getSituationTime();
    Boolean getSuccessDisposition();
    SubstitutionalMsg getSubstitutionalMsg();

}
