package org.apache.ws.muws.v1_0.topics;

import org.apache.ws.muws.v1_0.events.ManagementEvent;
import org.apache.ws.notification.topics.Topic;
import org.apache.ws.notification.topics.ResourcePropertyValueChangeTopic;

/**
 * @author Sal Campana
 */
public interface ManagementEventTopic extends Topic, ResourcePropertyValueChangeTopic
{
    /**
     * This method is used to send a ManagementEvent to subscribers to this topic.
     *
     * @param me
     */
    void publish(ManagementEvent me);
}
