package org.apache.ws.muws.v1_0.events;

/**
 * @author Sal Campana
 */
public interface ManagementEvent
{
    String getReporterResourceId();

    String getSourceResourceId();

    String getEventId();

    Object[] getReporterComponentAddresses();

    Object[] getSourceComponentAddresses();

    Object[] getAny();

    void setReporterResourceId(String reporterResourceId);

    void setSourceResourceId(String sourceResourceId);

    void setReporterComponentAddresses(Object[] reporterComponentAddresses);

    void setSourceComponentAddresses(Object[] sourceComponentAddresses);

    void setAny(Object[] any);

    Situation getSituation();
}
