package org.apache.ws.muws.v1_0.impl.advertiser;

import org.apache.ws.resource.ResourceContext;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlException;

import javax.xml.rpc.JAXRPCException;

/**
 * This class should be generated ONCE (and not overwritten) to maintain user-added code.
 * If there is a change to the WSDL, then the generated implemented interfaces
 * (representing the "base" portTypes) will change, thus showing a compile error to the
 * user.
 *
 * NOTE: This class is generated. However, it will not be overwritten by subsequent
 *       calls to the code generator.
 *
 */
public class ResourceAdvertiserService
   extends AbstractResourceAdvertiserService
   implements ResourceAdvertiserCustomOperationsPortType
{


   /**
    * A NamespaceVerionHolder which maintains the QNames of Spec Wsdls
    */
   public static final org.apache.ws.muws.v1_0.impl.WsdmNamespaceVersionHolderImpl SPEC_NAMESPACE_SET = new org.apache.ws.muws.v1_0.impl.WsdmNamespaceVersionHolderImpl();

   /**
    * Creates a new {@link ResourceAdvertiserService } object.
    *
    * @param resourceContext DOCUMENT_ME
    */
   public ResourceAdvertiserService( ResourceContext resourceContext )
   {
      super(resourceContext);
      init();
   }

      /**
    * Returns a collection of Spec Namespaces associated with this Service
    *
    * @return A NamespaceVersionHolder impl which represents the collection of spec namespaces
    *         associated with this service.
    */
   protected org.apache.ws.resource.properties.NamespaceVersionHolder getNamespaceSet()
   {
      return SPEC_NAMESPACE_SET;
   }


}
